Twullf
Mechanical
- Jan 24, 2012
- 196
I think this one is probably going to be a no brainer for someone out there but it has me stuck.
I have wave linked an array of faces and now I'm trying to convert them back to faces to be passed into later subroutines. So I'm converting the wave created face to extractFace (so far successful) then from ExtractFace to Face (and here lies the problem).
at the line:
I have wave linked an array of faces and now I'm trying to convert them back to faces to be passed into later subroutines. So I'm converting the wave created face to extractFace (so far successful) then from ExtractFace to Face (and here lies the problem).
Code:
'------------------------------------------------------------------------------------------
' At this point the wavelinked-face will show up in the part navigator, but need to convert
' Xform to faces to pass back into the program to be used later
'------------------------------------------------------------------------------------------
dim extractedFaces(selectFaces.Length-1) As Features.ExtractFace
dim finalFace(selectFaces.Length-1) As Face
i = 0
For Each aFace2 As Face in SelectFaces
ExtractedFaces(i) = NXObjectManager.Get(returnFace(i))
i = i + 1
Next
i=0
For Each aFace3 As Face in SelectFaces
finalFace(i) = ExtractedFaces(i).GetFaces
i = i + 1
Next
Return finalFace
at the line:
Code:
finalFace(i) = ExtractedFaces(i).GetFaces
[/code vb]
I get the following error:
1-dimensional array of NXOpen.Face cannot be converted to NXOpen.Face
I'm sure the solution is simple, but I appreciate your time and help.